package com.heyu.api.data.service.impl.calca;
/**
* <p>
* 按天统计 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.calca.CalcaMinutesStatisticsDao;
import com.heyu.api.data.entity.calca.CalcaMinutesStatisticsEntity;
import com.heyu.api.data.service.calca.CalcaMinutesStatisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class CalcaMinutesStatisticsServiceImpl extends ServiceImpl<CalcaMinutesStatisticsDao, CalcaMinutesStatisticsEntity> implements CalcaMinutesStatisticsService {


    @Autowired
	private CalcaMinutesStatisticsDao calcaMinutesStatisticsDao;



	@Override
	public CalcaMinutesStatisticsEntity selectCalcaMinutesStatisticsById(Long id){
		return calcaMinutesStatisticsDao.selectCalcaMinutesStatisticsById(id);
	}



	@Override
	public Long insertCalcaMinutesStatistics(CalcaMinutesStatisticsEntity calcaMinutesStatistics){
		return calcaMinutesStatisticsDao.insertCalcaMinutesStatistics(calcaMinutesStatistics);
	}



	@Override
	public Long insertOrUpdateCalcaMinutesStatistics(CalcaMinutesStatisticsEntity calcaMinutesStatistics){
		return calcaMinutesStatisticsDao.insertOrUpdateCalcaMinutesStatistics(calcaMinutesStatistics);
	}



	@Override
	public int updateCalcaMinutesStatisticsById(CalcaMinutesStatisticsEntity calcaMinutesStatistics){
		return calcaMinutesStatisticsDao.updateCalcaMinutesStatisticsById(calcaMinutesStatistics);
	}



	@Override
	public int updateCoverCalcaMinutesStatisticsById(CalcaMinutesStatisticsEntity calcaMinutesStatistics){
		return calcaMinutesStatisticsDao.updateCoverCalcaMinutesStatisticsById(calcaMinutesStatistics);
	}



	@Override
	public int deleteCalcaMinutesStatisticsById(Long id){
		return calcaMinutesStatisticsDao.deleteCalcaMinutesStatisticsById(id);
	}



}
